Page MenuHomePhabricator

ButtonSelectWidget active item should not have hover or click effects.
Closed, ResolvedPublic

Description

Currently on https://en.m.wikipedia.org/wiki/Special:EditWatchlist the active (blue) items has a hover and click behavior, which is confusing.


In OOjs UI the ButtonSelectWidget active item carries a pointer as cursor, which it shouldn't.

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Spage added a subscriber: Spage.EditedDec 8 2014, 10:25 PM

But sometimes the user should be able to reload the active item, e.g. to refresh it. Mobile adds class mw-ui-progressive to the active button to make it blue, which encourages the user to click it, and it does reload. If the button clicking should do nothing then that's a bug in the mobile implementation.

If clicking a button should do nothing then it should have attribute disabled, but that tends to mute the button (except it has no effect in a mw-ui-button-group).
Mobile also adds class active to the active button but that seems to have no styling associated with it; mediawiki.ui doesn't have any styling for active or selected.

I think we're conflating the "active" button in a button group with its progressive/constructive/destructive semantics, and with whether it's disabled or not. Button groups in the style guide seems too bare-bones.

Volker_E renamed this task from Button group active item should not have hover or click effects. to ButtonGroup/-Select/ToggleButtonWidget active item should not have hover or click effects..Oct 10 2015, 9:04 AM
Volker_E updated the task description. (Show Details)
Volker_E added a project: OOUI.
Volker_E added a subscriber: Volker_E.

This doesn't only affect (older) mediawiki-ui, but also OOjs UI

Err, ButtonGroupWidgets are not affected.

Volker_E renamed this task from ButtonGroup/-Select/ToggleButtonWidget active item should not have hover or click effects. to ButtonSelect/ToggleButtonWidget active item should not have hover or click effects..Oct 13 2015, 2:31 AM

ToggleButtonWidget shouldn't be changed as well, as ToggleButtonWidget has a click function when in -active state.

Volker_E renamed this task from ButtonSelect/ToggleButtonWidget active item should not have hover or click effects. to ButtonSelectWidget active item should not have hover or click effects..Oct 28 2015, 10:41 PM

Change 249295 had a related patch set uploaded (by VolkerE):
Allow ButtonGroupWidget/SelectWidget buttons to spill on to new lines

https://gerrit.wikimedia.org/r/249295

Jdforrester-WMF triaged this task as Low priority.Nov 17 2015, 1:37 AM
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.

Change 249295 abandoned by Jdlrobson:
Allow ButtonGroupWidget/SelectWidget buttons to spill on to new lines

Reason:
I have no plans to work on this anymore. Feel free to reassign author to someone else.

https://gerrit.wikimedia.org/r/249295

Change 272663 had a related patch set uploaded (by VolkerE):
ButtonOptionWidget active state should carry default cursor

https://gerrit.wikimedia.org/r/272663

Change 272681 had a related patch set uploaded (by VolkerE):
mediawiki.ui: Button group active buttons unchanged on user interaction

https://gerrit.wikimedia.org/r/272681

Jdforrester-WMF moved this task from Doing to Backlog on the OOUI board.Mar 2 2016, 1:59 AM

Change 272681 merged by jenkins-bot:
mediawiki.ui: Button group active buttons unchanged on user interaction

https://gerrit.wikimedia.org/r/272681

Majr added a subscriber: Majr.Mar 4 2016, 6:54 AM

is-on seems like a far too generic classname to me. Should be something like mw-ui-button-active.

Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Mar 8 2016, 11:18 PM
Volker_E updated the task description. (Show Details)Apr 20 2016, 9:27 PM
Volker_E updated the task description. (Show Details)Apr 20 2016, 11:07 PM
Jdforrester-WMF moved this task from Next-up to Reviewing on the OOUI board.May 30 2016, 5:29 PM
Jdforrester-WMF closed this task as Resolved.Sep 10 2016, 1:06 AM
Jdforrester-WMF assigned this task to Volker_E.
Jdforrester-WMF moved this task from Reviewing to OOjs-UI-0.17.9 on the OOUI board.
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.17.9); removed OOUI.

Change 272663 merged by jenkins-bot:
ButtonOptionWidget active state should carry default cursor

https://gerrit.wikimedia.org/r/272663

Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.